grk::PiComp Struct Reference

Packet iterator component. More...

`#include <PacketIter.h>`

## Public Member Functions

| PiComp ()
| ~PiComp ()

## Public Attributes

uint32_t | dx
uint32_t | dy
uint8_t | numresolutions
PiResolution * | resolutions

## Detailed Description

Packet iterator component.

## Constructor & Destructor Documentation

## PiComp()

grk::PiComp::PiComp | ( |  | ) |

inline

## ~PiComp()

grk::PiComp::~PiComp | ( |  | ) |

inline

References resolutions.

## Member Data Documentation

## dx

uint32_t grk::PiComp::dx

Referenced by grk::PacketIter::genPrecinctInfoOPT().

## dy

uint32_t grk::PiComp::dy

Referenced by grk::PacketIter::genPrecinctInfoOPT().

## numresolutions

uint8_t grk::PiComp::numresolutions

Referenced by grk::PacketIter::genPrecinctInfoOPT(), grk::PacketIter::init(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_rlcp(), grk::PacketIter::precInfoCheck(), and grk::PacketIter::printStaticState().

## resolutions

PiResolution* grk::PiComp::resolutions

Referenced by grk::PacketIter::generatePrecinctIndex(), grk::PacketIter::genPrecinctInfo(), grk::PacketIter::genPrecinctInfoOPT(), grk::PacketIter::init(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rpcl(), grk::PacketIter::precInfoCheck(), grk::PacketIter::validatePrecinct(), and ~PiComp().

The documentation for this struct was generated from the following file:

- PacketIter.h